Subject: Caches are not flushed after creating a package
Description

After creating (or deleting, activating, deactivating) a package through the command line, the caches are not flushed. That can lead to
interesting, but still unnecessary fatal errors.

Related issues:
duplicated by TYPO3.Flow - Bug # 4118: Package Manager does not clear the cod... Resolved 2009-08-03

Associated revisions
Revision 30a40961 - 2011-07-27 21:13 - Robert Lemke

[BUGFIX] Flush caches after changing package states

This adds a flush caches call to the end of all commands which affect
the package state (that is create, delete, activate and deactivate).

For this special case – modifying the code base during a script run –
it is necessary to exit early in order to prevent unforeseeable problems
with removed or altered code.

In the longterm the caches should also be flushed when the Package
Manager's API methods are used – but that's not in the scope of this
bug fix.

Change-Id: I173c7ed7ecefb9fb67f8e24c0e9a93e594105cfb
Resolves: #28525

History
#1 - 2011-07-27 21:13 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I173c7ed7ecefb9fb67f8e24c0e9a93e594105cfb has been pushed to the review server.
It is available at http://review.typo3.org/3802

#2 - 2011-07-28 18:35 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:30a409619aa7c0f4bd30e67fa0b86cdc850fee48.
